Loading...
Searching...
No Matches
fourdst::composition::exceptions::UnknownSymbolError Class Referencefinal

Exception thrown when an unknown symbol is encountered. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::UnknownSymbolError:
[legend]
Collaboration diagram for fourdst::composition::exceptions::UnknownSymbolError:
[legend]

## Private Member Functions

| SpeciesError (std::string message)

## Additional Inherited Members

Public Member Functions inherited from fourdst::composition::exceptions::SpeciesError
| SpeciesError (std::string message)
const char * | what () const noexcept override
Protected Attributes inherited from fourdst::composition::exceptions::SpeciesError
std::string | m_message

## Detailed Description

Exception thrown when an unknown symbol is encountered.

This typically occurs when a symbol does not correspond to any known atomic species.

Definition at line 78 of file exceptions_composition.h.

## Member Function Documentation

## SpeciesError()

fourdst::composition::exceptions::SpeciesError::SpeciesError | ( | std::string | message | ) |

inlineexplicitprivate

Definition at line 64 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h